<template lang="pug">
BaseAnimationGroup.container.pb-1.fixed-bottom.b-alert-container(anim='fade')
  BaseAnimationGroup.b-alerts(anim='fade' tag='div' v-show='!muteAlerts' key='alerts')
    .alert.alert-dismissible.fade.show.shadow(role='alert' v-for="error in visibleErrors" :key="error.id" :class='alertClass(error)')
      template(v-if="!error.dismissed")
        strong {{ error.timestamp | b-luxon('HH:mm:ss') }}
          |  {{ error.message }}
          button.close(type='button' data-dismiss='alert' aria-label='Close')
            span(aria-hidden='true') &times;
  .b-mute-alerts-btn.text-center.mx-5(v-if='!$butils.isEmpty(visibleErrors)' key='mute-alerts-btn')
    button.x-mute-btn.btn.p-0(type='button' tabIndex='-1' :class='muteBtnClass'
                              :arial-label='`${muteAlerts ? "Unmute" : "Mute"} alerts`'
                              :title='`${muteAlerts ? "Unmute" : "Mute"} alerts`'
                              @mousedown.prevent='' @click.prevent="toggleMuteAlerts()")
      BaseAnimationBlock.mx-2(anim='fade')
        i.fas.fa-bell-slash(key='unmute' v-if='muteAlerts')
        i.fas.fa-bell(key='mute' v-else)
      span.badge.badge-pill.badge-light.mx-2 {{ nbAlerts }}
</template>
<script src="./BaseErrorAlert.vue.js" />
<style>
.b-alert-container {
  z-index: 1050!important;
}
</style>
